### Method

# Ggit BranchEnumerator get

#### Declaration [src]

    GgitRef*
    ggit_branch_enumerator_get (
      GgitBranchEnumerator* enumerator
    )

#### Description [src]

Returns the currently being enumerated branch, or `NULL`. Note that the returned GgitRef will be of type GgitBranch if the ref represents a local branch.

#### Return value

Type: `GgitRef`

The branch ref or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.